=== debian/changelog ===
ros-noetic-etsi-its-denm-msgs (3.2.0-1focal) focal; urgency=high



 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Tue, 22 Apr 2025 00:00:00 -0000

ros-noetic-etsi-its-denm-msgs (3.1.0-1focal) focal; urgency=high

  * Merge pull request #67 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/67> from ika-rwth-aachen/update-copyright
    Update copyright
  * Merge pull request #56 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/56> from cubesys-GmbH/fix_cmake_denm_subcausecodes
    codegen-py: fix missing DENM msg files in CMakeLists.txt
  * Merge branch 'main' into feature/spat-map-plugin
  * Merge pull request #54 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/54> from cubesys-GmbH/denm_subcausecodes
    keep DENM SubCauseCode variants
  * Merge branch 'main' into feature/spat-map-plugin
  * Contributors: Guido Küppers, Jean-Pierre Busch, Lennart Reiher

 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Mon, 17 Feb 2025 00:00:00 -0000

ros-noetic-etsi-its-denm-msgs (3.0.0-1focal) focal; urgency=high

  * Merge pull request #46 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/46> from ika-rwth-aachen/improvement/formatting
    Usability and formatting improvements for codegen-py
  * Merge pull request #47 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/47> from ika-rwth-aachen/improvement/naming-rules
  * Merge pull request #28 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/28> from ika-rwth-aachen/feature/spatem-mapem
    SPATEM/MAPEM Support
  * Contributors: Jean-Pierre Busch, Lennart Reiher

 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Tue, 10 Dec 2024 00:00:00 -0000

ros-noetic-etsi-its-denm-msgs (2.4.0-1focal) focal; urgency=high

  * Merge pull request #42 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/42> from ika-rwth-aachen/feature/auto-cmake-generation
    Add automatic generation of CMakeLists.txt for msg packages
  * Merge branch 'main' into feature/denm-launchfile-transformation
  * Contributors: Jean-Pierre Busch, Lennart Reiher

 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Tue, 19 Nov 2024 00:00:00 -0000

ros-noetic-etsi-its-denm-msgs (2.3.0-1focal) focal; urgency=high



 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Tue, 15 Oct 2024 00:00:00 -0000

ros-noetic-etsi-its-denm-msgs (2.2.0-1focal) focal; urgency=high

  * Merge pull request #2 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/2> from lreiher/fix-converter-memleak
    Resolve conflicts with ika-rwth-aachen/etsi_its_messages and free ret.buffer
  * Merge remote-tracking branch 'ika/main' into fix-converter-memleak
  * Contributors: Lennart Reiher, v0-e

 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Thu, 01 Aug 2024 00:00:00 -0000

ros-noetic-etsi-its-denm-msgs (2.1.0-1focal) focal; urgency=high

  * Merge pull request #20 from ika-rwth-aachen/further-msgs
    Switch to rust-based generation and add additional message types
  * Merge pull request #1 from jpbusch/rust-based-codegen
    Final changes for ika-rwth-aachen#17.
  * Contributors: Jean-Pierre Busch, v0-e

 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Tue, 09 Jul 2024 00:00:00 -0000

ros-noetic-etsi-its-denm-msgs (2.0.2-1focal) focal; urgency=high



 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Fri, 31 May 2024 00:00:00 -0000

ros-noetic-etsi-its-denm-msgs (2.0.1-1focal) focal; urgency=high



 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Tue, 27 Feb 2024 00:00:00 -0000

ros-noetic-etsi-its-denm-msgs (2.0.0-1focal) focal; urgency=high

  * Merge pull request #5 from ika-rwth-aachen/improvement/satisfy-package-conventions
    Refactoring to satisfy ROS package conventions
  * Contributors: Lennart Reiher

 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Fri, 05 Jan 2024 00:00:00 -0000
